#version 400
 
in vec3 normal;
in vec4 ecPos;
in vec2 texcoord;
 
uniform vec3 L_pos;
uniform sampler2D tex;

layout(location = 0) out vec4 colorOut;

 
void main()
{
  vec3 N = normalize(normal);
  vec3 L = normalize(L_pos - ecPos.xyz);
  float NdotL = clamp(dot(N, L), 0.0, 1.0);
  colorOut = vec4(1,1,1,1) * NdotL;
}